% Nastaveni:
n = 800;              % delka usecky, na ktere se namornik pohybuje
pocet_kroku = 15000;  % kolik kroku ma namornik udelat

% Program:
a = zeros(1,n);  % pocitadlo vyskytu namornik v jednotlivych usecich
x = floor(n/2);  % vychozi misto (poloha hospody)
osa_x = [-floor(n/2) : floor((n-1)/2)];
a(x) = 1;  % namornik se na zacatku nachazi pred hospodou
for k=1:pocet_kroku
    dx = 2*(randi(2)-1) - 1;  % mapuj nahodna cisla [1,2] na [-1, +1]
    x = x + dx;  % posun se doleva nebo doprava
    if (x==0 || x==n+1) break; end  % namornik dorazil na kraj usecky
    a(x) = a(x) + 1;  % dorazil jsem na toto misto, tak zvetsi jeho cetnost
    fprintf('%3i. dx= %2i   x= %2i\n', k, dx, x);
    if (mod(k,1000)==0)  % kazdych 1000 iteraci vykresli obrazek
	k, plot(osa_x, a); pause(0.01);  % kratka pauza pro prekresleni
    end
end
plot(osa_x, a); grid

